### Hierarchy

- Emitter
  - Actions

### Implements

- IEmitter
- IActions

## Index

### Constructors

- constructor

### Properties

- Content
- Functions
- api
- buttons
- folderId
- listeners
- onListeners
- pageId
- styles
- tasks

### Accessors

- EVENT_UPDATED

### Methods

- emit
- off
- on
- parse
- register
- removeEvent
- removeEvents
- run
- save
- sendNotification
- toString
- unRegister

### Object literals

- freeze

## Constructors

### constructor

- new Actions(api: IApiService, Content: IPageContentProvider, Functions: IFunctions, folderId: number, pageId: number): Actions

- Overrides Emitter.constructor

  - Defined in Actions/Actions.ts:53

  #### Parameters

  - ##### api: IApiService

  - ##### Content: IPageContentProvider

  - ##### Functions: IFunctions

  - ##### folderId: number

  - ##### pageId: number

  #### Returns Actions

## Properties

### Content

Content: IPageContentProvider

- Defined in Actions/Actions.ts:58

### Functions

Functions: IFunctions

- Defined in Actions/Actions.ts:59

### api

api: IApiService

- Defined in Actions/Actions.ts:57

### buttons

buttons: IActionsButton[] = []

Implementation of IActions.buttons

- Defined in Actions/Actions.ts:47

### folderId

folderId: number

- Defined in Actions/Actions.ts:60

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### pageId

pageId: number

- Defined in Actions/Actions.ts:61

### styles

styles: IActionsStyle[] = []

Implementation of IActions.styles

- Defined in Actions/Actions.ts:48

### tasks

tasks: IActionsTask[] = []

Implementation of IActions.tasks

- Defined in Actions/Actions.ts:49

## Accessors

### EVENT_UPDATED

- get EVENT_UPDATED(): string

- - Defined in Actions/Actions.ts:44

  #### Returns string

## Methods

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### parse

- parse(str: string): void

- Implementation of IActions.parse

  - Defined in Actions/Actions.ts:65

  #### Parameters

  - ##### str: string

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IActions.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IActions.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### run

- run(gridCell: IGridCell): IActionsRun

- Implementation of IActions.run

  - Defined in Actions/Actions.ts:96

  #### Parameters

  - ##### gridCell: IGridCell

  #### Returns IActionsRun

### save

- save(): Promise<any>

- Implementation of IActions.save

  - Defined in Actions/Actions.ts:80

  #### Returns Promise<any>

### sendNotification

- sendNotification(messageNotification: IActionsTaskActionSetActionNotification, options?: IActionsSendNotificationOptions): Promise<any>

- Implementation of IActions.sendNotification

  - Defined in Actions/Actions.ts:150

  #### Parameters

  - ##### messageNotification: IActionsTaskActionSetActionNotification

  - ##### Optional options: IActionsSendNotificationOptions

  #### Returns Promise<any>

### toString

- toString(): string

- Implementation of IActions.toString

  - Defined in Actions/Actions.ts:72

  #### Returns string

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

## Object literals

### freeze

freeze: object

Implementation of IActions.freeze

- Defined in Actions/Actions.ts:50

### col

col: number = 0

- Defined in Actions/Actions.ts:52

### row

row: number = 0

- Defined in Actions/Actions.ts:51

Generated using TypeDoc